summaryrefslogtreecommitdiffstats
path: root/build-repo
diff options
context:
space:
mode:
Diffstat (limited to 'build-repo')
-rwxr-xr-xbuild-repo20
1 files changed, 20 insertions, 0 deletions
diff --git a/build-repo b/build-repo
new file mode 100755
index 0000000..b4969f5
--- /dev/null
+++ b/build-repo
@@ -0,0 +1,20 @@
+#!/usr/bin/env zsh
+set -eax
+# note: we assume `abuild-keygen -a -i` has alr been run
+ALL_TARGET="$(pwd)/target"
+rm -rf "$ALL_TARGET"
+mkdir -p "$ALL_TARGET"
+for REPOPATH in ./src/*; do
+ cd "$REPOPATH";
+ REPO="$(basename "$REPOPATH")";
+ for PKG in ./*; do
+ cd "$PKG";
+ PKG="$(basename "$PKG")";
+
+ if [[ "$NEWSUM" == "1" ]]; then abuild checksum; fi
+ abuild -r -P "$ALL_TARGET"
+
+ cd ..;
+ done
+ cd ../..;
+done